pub fn rand_u16(seed: u16) -> u16 {
    return ((seed & 47851) + (seed >> 8 | 7943)) as u16;   
}

#[cfg(test)]
mod tests {
    use crate::crypt::rand::rand_u16;

    #[test]
    fn test_rand_u16() {
        assert_eq!(rand_u16(10), 7953);
        assert_eq!(rand_u16(12345), 20320);
        assert_eq!(rand_u16(60000), 51791);
        assert_eq!(rand_u16(64550), 55329);
    }
}