pub fn read_u128_slice_be(buf_16: &[u8]) -> u128 {
    let mut arr: [u8; 16] = [0; 16];
    for i in 0..16 {
        arr[i] = buf_16[i];
    }
    return u128::from_be_bytes(arr);
}

pub fn read_utf8_string_slice(buf: &[u8]) -> String {
    return String::from_utf8_lossy(&buf).into_owned();
}

pub fn read_u64_slice_be(buf_8: &[u8]) -> u64 {
    let mut arr: [u8; 8] = [0; 8];
    for i in 0..8 {
        arr[i] = buf_8[i];
    }
    return u64::from_be_bytes(arr);
}